@font-face {
    font-family: "Y2K";
    src:
        url("images/y2k.woff2") format("woff2"),
        /* moderne, iOS + desktop */
        url("images/y2k.woff") format("woff"),
        /* fallback large */
        url("images/y2k.otf") format("opentype");
    /* fallback ultime */
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

body {
    display: flex;
    flex-direction: column;
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    background: #fff;
    color: #222;
    min-height: 100vh;
}

header {
    background: #111;
    color: #fff;
    padding: 1rem;
}

nav a {
    color: #fff;
    margin-right: 1rem;
    text-decoration: none;
    font-weight: bold;
}

nav a:hover {
    text-decoration: underline;
}

a {
    color: #00ff55;
}

button {
    padding: 6px 12px;
    border: none;
    background: #2563eb;
    color: #fff;
    cursor: pointer;
}

button:hover {
    background: #1d4ed8;
}

button.danger {
    background-color: red;
    color: #fff;
    font-weight: bold;
}

input,
textarea {
    width: 100%;
    padding: 6px;
    margin-top: 4px;
    box-sizing: border-box;
    margin-bottom: 5px;
}

h2,
.title {
    border-bottom: 1px solid #00ff55;
    color: #00ff55;
    margin-top: 0;
    font-family: "Y2K";
    letter-spacing: 10px;
    font-size: 14px;
    padding-bottom: 5px;
    text-align: center;
}

/* -----------------------*/
/* MAIN                   */
/* -----------------------*/
main {
    max-width: 600px;
    padding: 15px;
    margin: 2rem auto;
    background: #fff;
    border-radius: 5px;
    padding: 12px 28px 0 28px;
    margin: -9px auto 0 auto;
    background: transparent url(images/hash.jpg) repeat-y scroll 0 0;
}

/* -----------------------*/
/* SCREENSHOT             */
/* -----------------------*/
.screenshot {
    margin-bottom: 15px;
}
.screenshot-img {
    display: block;
    width: 100%;
    max-width: 100%;
}

.screenshot-text {
    display: block;
    background-color: rgb(39, 39, 39);
    text-align: center;
    padding-top:5px;
    padding-bottom:5px;
}

/* -----------------------*/
/* TOP                 */
/* -----------------------*/
.top {
    height: 35px;
    background: transparent url(images/b-top.jpg) repeat-x scroll top left;
}

.top-inner {
    height: 150px;
    width: 656px;
    margin: auto;
    position: relative;
    z-index: 200;
    text-align: center;
    color: #666;
    font-size: 12px;
    background: transparent url(images/header.jpg) no-repeat scroll top center;
}

.top-inner-content {
    padding-top: 10px;
    color: #e6e6e6;
    display: flex;
    justify-content: center;
}

.top-inner-icon-img {
    width: 20px;
    margin-left: 15px;
    margin-right: 15px;
}

/* -----------------------*/
/* FOOTER                 */
/* -----------------------*/
.footer {
    height: 80px;
    margin-top: -40px;
    background: transparent url(images/b-bottom.jpg) repeat-x scroll bottom left;
}

.footer-inner {
    height: 80px;
    width: 656px;
    margin: auto;
    position: relative;
    z-index: 200;
    text-align: center;
    color: #666;
    font-size: 12px;
    background: transparent url(images/footer.jpg) no-repeat scroll bottom center;
}

.footer-inner-content {
    position: absolute;
    left: 50%;
    top: 80%;
    transform: translate(-50%, -50%);
    color: #e6e6e6;
}

/* -----------------------*/
/* BOTTOM                 */
/* -----------------------*/
.bottom {
    flex: 1;
    background-color: #131416;
}

.center {
    text-align: center;
}

/* -----------------------*/
/* EMPTY                  */
/* -----------------------*/
.empty {
    display: block;
    padding: 30px;
    text-align: center;
    font-style: italic;
    color: #ffffff;
    background-color: #313131;
    max-width: 100%;
    flex: 1;
}

/* -----------------------*/
/* BANNER                 */
/* -----------------------*/
.banner {
    display: block;
    position: relative;
    line-height: 0;
    z-index: 300;
}

.banner-img {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    width: 100%;
}

/* -----------------------*/
/* HEADER                 */
/* -----------------------*/
.header {
    position: relative;
    display: block;
}

.header-menu {
    display: flex;
    justify-content: space-around;
    font-size: 14px;
    padding-top: 5px;
    padding-bottom: 5px;
    background: url(/images/menu_bg.jpg);
    background-size: cover;
}

.header-menu>a {
    color: #ebebeb;
    text-decoration: none;
    user-select: none;
    font-weight: bold;
}

.header-menu>a:hover,
.header-menu>a.active {
    color: #00ff55;
}

.header-menu>a.active {
    cursor: default;
    pointer-events: none;
}

.header-menuMobile {
    display: none;
}

/* -----------------------*/
/* RIBBON              */
/* -----------------------*/
.ribbon {
    background: url(/images/ribbon.jpg);
    background-size: contain;
    height: 5px;
}

/* -----------------------*/
/* SEPARATOR              */
/* -----------------------*/
.separator {
    padding-bottom: 15px;
}

/* -----------------------*/
/* FAILURE                */
/* -----------------------*/
.failure {
    text-align: center;
    color: red;
}

/* -----------------------*/
/* SUCCESS                */
/* -----------------------*/
.success {
    text-align: center;
    color: green;
}

/* -----------------------*/
/* CONTENT                */
/* -----------------------*/
.content {
    display: block;
    background-color: #131416;
    color: #fff;
    padding: 15px;
    font-size: 14px;
    padding-bottom: 40px;
    padding-top: 40px;
}

.content.white {
    background-color: #fff;
}

/* -----------------------*/
/* SUBMENU                */
/* -----------------------*/
.submenu {
    display: flex;
    justify-content: center;
    padding: 5px;
}

.submenu>a {
    margin-left: 15px;
    margin-right: 15px;
}

.submenu {
    background-color: #131416;
    margin-bottom: 15px;
}

.submenu>a {
    color: #fff;
}

.submenu>a.active {
    color: rgb(0, 215, 0);
}

/* -----------------------*/
/* MATCHS                */
/* -----------------------*/
.matchs {
    display: block;
}

.matchs-item {
    position: relative;
    background-size: cover;
    background-position: center;
    height: 100px;
    margin-bottom: 15px;
}

.matchs-item.status-waiting {
    opacity: 0.5;
}

.matchs-item.game-1 {
    background-image: url("/images/banner_cs.jpg");
    color: #fff;
}

.matchs-item.game-2 {
    background-image: url("/images/banner_ut.jpg");
    color: #000;
}

.matchs-item.game-3 {
    background-image: url("/images/banner_q3.jpg");
    color: #fff;
}

.matchs-item.game-4 {
    background-image: url("/images/banner_pes6.jpg");
}

.matchs-item.game-5 {
    background-image: url("/images/banner_mw2.jpg");
    color: #fff;
}

.matchs-item.game-6 {
    background-image: url("/images/banner_bo2.jpg");
    color: #fff;
}

.match-item-map {
    position: absolute;
    right: 10px;
    top: 10px;
    font-size: 14px;
}

.match-item-scores {
    display: flex;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 250px;
}

.match-item-score {
    flex: 1;
    text-align: center;
}

.match-item-score-separator {
    align-self: center;
    font-style: italic;
}

.match-item-score-clan {
    font-weight: bold;
    font-size: 18px;
    text-transform: uppercase;
    margin-bottom: 10px;
    text-decoration: none;
}

.match-item-score-clan.blue {
    color: blue;
}

.match-item-score-clan.red {
    color: red;
}

.match-item-score-value {
    font-size: 25px;
}

.match-item-info {
    position: absolute;
    right: 10px;
    bottom: 10px;
    text-align: center;
    font-size: 14px;
}

/* -----------------------*/
/* ORPHAN MESSAGE         */
/* -----------------------*/

.orphanMessage {
    text-align: center;
    color: rgb(255, 177, 177);
    font-size: 14px;
    margin-top: 15px;
    margin-bottom: 15px;
    line-height: 1.5;
}

/* -----------------------*/
/* CLANS                  */
/* -----------------------*/
.clans {
    display: block;
}

.clans>a {
    width: 50%;
    margin-bottom: 5px;
    text-align: center;
}

/* -----------------------*/
/* RANKING                */
/* -----------------------*/
.ranking {
    display: block;
}

.ranking-clan {
    font-family: monospace;
    font-size: 15px;
    font-weight: bold !important;
    color: #00ff55 !important;
}

.ranking-clan a {
    text-decoration: none;
}

.ranking-position {
    font-family: monospace;
    font-size: 15px;
    font-weight: bold !important;
    color: #bababa !important;
}

/* -----------------------*/
/* MY TABLE               */
/* -----------------------*/

.myTable {
    border: #0008ac 1px solid;
    border-collapse: collapse;
    font-size: 12px;
    vertical-align: middle;
}

.myTable-btn {
    text-decoration: none;
    color: #000;
    font-weight: bold;
    text-align: center;
    border: 1px solid #000;
    background-color: lavender;
}

.myTable-btn a {
    display: block;
    line-height: 37px;
    text-decoration: none;
    color: #fff;
}

.myTable-btn.green>a {
    color: #00ff55;
}

.myTable-btn a:hover {
    color: #00ff55;
    background-color: #2aff007d;
}

.myTable th {
    border: #000000 1px solid;
    height: 26px;
    text-align: center;
    font-weight: normal;
}

.myTable td {
    border: #000000 1px solid;
    height: 26px;
    text-align: left;
}

.mytable font {
    cursor: help;
}

.mytable a {
    cursor: pointer;
}

.mytable span {
    vertical-align: top;
}

.mytable a img {
    margin-right: 2px;
}

.DivLine {
    filter: glow(color=#CC0000, strength=1);
    width: 3px;
}

.Bold {
    font-weight: bold !important;
}

.bgColor0 {
    background-color: inactivecaption;
}

.bgColor1 {
    background-color: lavender;
}

.bgColor2 {
    background: repeating-linear-gradient(45deg,
            #111 0px,
            #111 4px,
            #1a1a1a 4px,
            #1a1a1a 8px);
    color: #fff;
}

.bgColor3 {
    background-color: #e7f1ff;
}

.bgColor4 {
    background: repeating-linear-gradient(45deg,
            #2a2a2a 0px,
            #2a2a2a 4px,
            #343434 4px,
            #343434 8px);
    color: #fff;
}

.bgColor5 {
    background-color: #06c;
}

.attack {
    color: appworkspace;
}

.special {
    color: red;
}

.rskill {
    color: #00ffcc;
}

.eskill {
    color: orchid;
}

.dance {
    color: purple;
}

.black {
    color: black;
}

.grey {
    color: olive;
}

.blue {
    color: blue;
}

@media (max-width: 676px) {
    body {
        background-color: #131416;
    }

    .top {
        background: transparent;
        display: none;
    }

    .top-inner {
        width: auto;
        background: transparent;
    }

    .footer {
        margin-top: 0px;
        background: transparent;
        border-top: 1px solid #777;
    }

    .footer-inner {
        width: auto;
        height: 43px;
        background: transparent;
        background-color: #131416;
    }

    main {
        padding: 0;
    }
}

@media (max-width: 320px) {
    .header-menu {
        display: none;
        flex-direction: column;
        align-items: center;
    }

    .header-menu>a {
        margin-bottom: 5px;
    }

    .header-menuMobile {
        display: flex;
        flex-wrap: wrap;
        background-color: #131416;
        padding: 10px;
    }

    .header-menuMobile-row {
        display: flex;
        justify-content: space-around;
        margin-bottom: 15px;
    }

    .header-menuMobile-row>a {
        width: 50%;
        background: linear-gradient(to top,
                #00ff55 0%,
                rgba(0, 255, 85, 0.8) 5%,
                rgba(0, 255, 85, 0.4) 10%,
                transparent 30%);
        border-bottom: 1px solid #7affa6;
    }

    .header-menuMobile-row>a.active {
        background: linear-gradient(to top,
                #ff0000 0%,
                rgba(255, 0, 0, 0.8) 5%,
                rgba(255, 0, 0, 0.4) 10%,
                transparent 30%);

        border-bottom: 1px solid #ff7a7a;
    }

    .header-menuMobile-row>a>img {
        object-fit: contain;
        width: 100%;
    }

    h2,
    .title {
        font-size: 8px;
    }
}

@media (max-width: 400px) {
    main {
        margin: 0;
    }

    .header-menu {
        font-size: 12px;
    }

    .submenu>a {
        margin: 5px;
    }

    .match-item-info {
        display: flex;
    }

    .match-item-info-date {
        margin-right: 15px;
    }
}